Download it now!
Bug 121858 - Images attached to cells vanish after hiding the column(s) with those cells
Summary: Images attached to cells vanish after hiding the column(s) with those cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap Calc-Images
  Show dependency treegraph
 
Reported: 2018-12-02 10:49 UTC by Jens
Modified: 2020-11-04 21:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example documents before hiding, when hiding, and after hiding columns (1.31 MB, application/x-7z-compressed)
2018-12-16 12:15 UTC, Jens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jens 2018-12-02 10:49:07 UTC
Description:
1. Create spreadsheet with some (copy&pasted) images
2. Attach those images to cells, enlarge the cell width/height to match the image (optional)
3. Hide some of these columns (e.g. columns B,C)
4. (optional) Hide more of these columns by selecting columns adjacent to previously hidden columns (e.g. A,D which includes now invisible B,C)
5. Unhide all columns

Expected results
images should reappear with the cells

Actual results
Images in previously hidden cells are gone


Steps to Reproduce:
see description

Actual Results:
see description

Expected Results:
see description


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: de
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Mac OS X (All)
OS is 64bit: no
Comment 1 Alex Thurgood 2018-12-04 09:30:46 UTC
@Jens : please provide a sample Calc document with which we can try to confirm.
Comment 2 Jens 2018-12-16 12:15:28 UTC
Created attachment 147593 [details]
example documents before hiding, when hiding, and after hiding columns

Attached are four files (in one zip). To quickly reproduce, open the "with-hidden-columns" document and unhide all columns. On my installation, the hidden columns have no more images.
But if you "Save As", then close and reopen this document, the images are back again.
Comment 3 Alex Thurgood 2019-01-18 08:18:41 UTC
Testing with

Version: 6.3.0.0.alpha0+
Build ID: 810e5008e75e54241e056de2129886689d7c21eb
CPU threads: 4; OS: Mac OS X 10.14.2; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded

1) Open "with-hidden-columns" document.
2) Notice that image is displayed immediately in cell C11.
3) Format > Columns > Show makes no difference to the display.

@Jens : are you sure that the file you provided marked as hidden columns actually did have hidden columns ?
Comment 4 Alex Thurgood 2019-01-18 08:23:16 UTC
@Jens: forget it, my bad. I don't use Calc much, and hadn't realized you needed to select all of the cells before using Format > Columns > Show.

I can reproduce this.

Confirming
Comment 5 Alex Thurgood 2019-01-18 08:26:13 UTC
Reproducible also in 

Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
Threads CPU : 4; OS : Mac OS X 10.14.2; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 6 Alex Thurgood 2019-01-18 08:31:28 UTC
Reproducible in

Version: 5.2.5.1
Build ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
Threads CPU : 4; Version de l'OS :Mac OS X 10.14.2; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 7 Alex Thurgood 2019-01-18 08:34:14 UTC
FWIW, LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

shows all of the images overlaid over each other, i.e. cell anchoring not respected, despite the hidden columns.
Comment 8 Alex Thurgood 2019-01-18 08:40:02 UTC
Also reproduced in 

Version: 5.1.2.1
Build ID: 2603b69c5ec5981bb5f053f8ebfd1f3de00a4c29
CPU Threads: 4; OS Version: Mac OS X 10.14.2; UI Render: default; 
Locale: fr-FR (fr_FR.UTF-8)
Comment 9 Alex Thurgood 2019-01-18 08:47:00 UTC
Also reproduced in 

Version: 5.0.0.4
Build ID: cf112dc905650fb985306a7a03d2fe3fcc6c978f
Locale: fr-FR (fr_FR.UTF-8)
Comment 10 eisa01 2019-08-31 13:04:18 UTC
Also present on Windows

Version: 6.3.0.4 (x64)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 2; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 11 Regina Henschel 2020-11-04 21:41:04 UTC
It should be fixed with  with https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f0b3c7a40edfa81bbc7a58d123a6a2dfd83e4ca
Please try a daily build.